<?php

// @formatter:off
/**
 * A helper file for your Eloquent Models
 * Copy the phpDocs from this file to the correct Model,
 * And remove them from this file, to prevent double declarations.
 *
 * @author Barry vd. Heuvel <barryvdh@gmail.com>
 */


namespace App\Models{
/**
 * App\Models\User
 *
 * @property int $id
 * @property string $nickname
 * @property string $avatar
 * @property string $password
 * @property string $email
 * @property string $mobile
 * @property string $open_id
 * @property string $union_id
 * @property int $status
 * @property string|null $email_verified_at
 * @property string|null $remember_token
 * @property \Illuminate\Support\Carbon|null $created_at
 * @property \Illuminate\Support\Carbon|null $updated_at
 * @property-read \Illuminate\Notifications\DatabaseNotificationCollection|\Illuminate\Notifications\DatabaseNotification[] $notifications
 * @property-read int|null $notifications_count
 * @method static \Illuminate\Database\Eloquent\Builder|User newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|User newQuery()
 * @method static \Illuminate\Database\Query\Builder|User onlyTrashed()
 * @method static \Illuminate\Database\Eloquent\Builder|User query()
 * @method static \Illuminate\Database\Eloquent\Builder|User whereAvatar($value)
 * @method static \Illuminate\Database\Eloquent\Builder|User whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|User whereEmail($value)
 * @method static \Illuminate\Database\Eloquent\Builder|User whereEmailVerifiedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|User whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|User whereMobile($value)
 * @method static \Illuminate\Database\Eloquent\Builder|User whereNickname($value)
 * @method static \Illuminate\Database\Eloquent\Builder|User whereOpenId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|User wherePassword($value)
 * @method static \Illuminate\Database\Eloquent\Builder|User whereRememberToken($value)
 * @method static \Illuminate\Database\Eloquent\Builder|User whereStatus($value)
 * @method static \Illuminate\Database\Eloquent\Builder|User whereUnionId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|User whereUpdatedAt($value)
 * @method static \Illuminate\Database\Query\Builder|User withTrashed()
 * @method static \Illuminate\Database\Query\Builder|User withoutTrashed()
 * @mixin \Eloquent
 * @property \Illuminate\Support\Carbon|null $deleted_at
 * @property-read \App\Models\UserInfo|null $info
 * @method static \Illuminate\Database\Eloquent\Builder|User whereDeletedAt($value)
 * @property-read \Illuminate\Database\Eloquent\Collection|\App\Models\UserConsumeRecord[] $consumeRecords
 * @property-read int|null $consume_records_count
 * @property-read \Illuminate\Database\Eloquent\Collection|\App\Models\UserRechargeRecord[] $rechargeRecords
 * @property-read int|null $recharge_records_count
 * @property-read \Illuminate\Database\Eloquent\Collection|\App\Models\UserVipRecord[] $vipRecords
 * @property-read int|null $vip_records_count
 * @property int $parent_id 上级推荐用户
 * @property string|null $become_child_at 成为下线时间
 * @property string $income 收入
 * @method static \Illuminate\Database\Eloquent\Builder|User whereBecomeChildAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|User whereIncome($value)
 * @method static \Illuminate\Database\Eloquent\Builder|User whereParentId($value)
 * @property string $is_share 是否分销
 * @property string $share_qrcode 分享二维码
 * @property string $scene_code 情景CODE
 * @method static \Illuminate\Database\Eloquent\Builder|User whereIsShare($value)
 * @method static \Illuminate\Database\Eloquent\Builder|User whereSceneCode($value)
 * @method static \Illuminate\Database\Eloquent\Builder|User whereShareQrcode($value)
 * @property-read User|null $parent
 * @property string $total_income 收入
 * @method static \Illuminate\Database\Eloquent\Builder|User whereTotalIncome($value)
 * @property string|null $become_share_at 成为分销商时间
 * @method static \Illuminate\Database\Eloquent\Builder|User whereBecomeShareAt($value)
 * @property-read User|null $child
 */
//	class User extends \Eloquent implements \PHPOpenSourceSaver\JWTAuth\Contracts\JWTSubject {}
}

