<?php
namespace App\Helper\UniPlatform\Kuaishou;

use App\Helper\UniPlatform\BaseAPI;
define('BASE_URL','https://open.kuaishou.com/oauth2');
define('PAY_URL','https://open.kuaishou.com/openapi/mp/developer');


final class KuaishouAPI extends BaseAPI
{


    /**
     * 获取 ACCESS_TOKEN
     * @url https://mp.kuaishou.com/docs/develop/server/getAccessToken.html
     */
    const ACCESS_TOKEN = BASE_URL.'/access_token';

    /**
     * 登陆
     * @url https://mp.kuaishou.com/docs/develop/server/code2Session.html
     */
    const LOGIN = BASE_URL.'/mp/code2session';

    /**
     * 支付下单
     * @url https://mp.kuaishou.com/docs/develop/server/epay/interfaceDefinition.html
     */
    const CREATE_ORDER = PAY_URL.'/epay/create_order';
}
