<?php

namespace App\Models;

use Dcat\Admin\Traits\HasDateTimeFormatter;
use Illuminate\Database\Eloquent\SoftDeletes;
use Illuminate\Database\Eloquent\Model;

/**
 * App\Models\HomeColumn
 *
 * @property int $id
 * @property string $name 名称
 * @property string $icon 图标
 * @property int $sort 排序
 * @property int $type 类型
 * @property int $status 是否启用
 * @property \Illuminate\Support\Carbon|null $updated_at
 * @property \Illuminate\Support\Carbon|null $deleted_at
 * @property \Illuminate\Support\Carbon|null $created_at
 * @method static \Illuminate\Database\Eloquent\Builder|HomeColumn newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|HomeColumn newQuery()
 * @method static \Illuminate\Database\Query\Builder|HomeColumn onlyTrashed()
 * @method static \Illuminate\Database\Eloquent\Builder|HomeColumn query()
 * @method static \Illuminate\Database\Eloquent\Builder|HomeColumn whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|HomeColumn whereDeletedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|HomeColumn whereIcon($value)
 * @method static \Illuminate\Database\Eloquent\Builder|HomeColumn whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|HomeColumn whereName($value)
 * @method static \Illuminate\Database\Eloquent\Builder|HomeColumn whereSort($value)
 * @method static \Illuminate\Database\Eloquent\Builder|HomeColumn whereStatus($value)
 * @method static \Illuminate\Database\Eloquent\Builder|HomeColumn whereType($value)
 * @method static \Illuminate\Database\Eloquent\Builder|HomeColumn whereUpdatedAt($value)
 * @method static \Illuminate\Database\Query\Builder|HomeColumn withTrashed()
 * @method static \Illuminate\Database\Query\Builder|HomeColumn withoutTrashed()
 * @mixin \Eloquent
 */
class HomeColumn extends Model
{
	use HasDateTimeFormatter;
    use SoftDeletes;

    protected $table = 'home_columns';
    
}
