<?php

namespace App\Models;

use Dcat\Admin\Traits\HasDateTimeFormatter;

use Illuminate\Database\Eloquent\Model;

/**
 * App\Models\ShareConfig
 *
 * @property int $id
 * @property int $become_type 成为分销商条件 1-无条件 2-对应会员 3-对应金币
 * @property int $become_vip_id 成为分销商会员ID
 * @property int $become_gold 成为分销商金币
 * @property int $share_type 类型 1-百分比 2-固定
 * @property string $share_number 分销金额
 * @property int $type 类型 1-百分比 2-固定
 * @property string $withdraw_discount 提现手续费 百分比
 * @property string $withdraw_desc 提现说明
 * @property string $withdraw_min 最少提现额度
 * @property string $withdraw_max 每日提现上限
 * @property int $is_open 是否开启分销
 * @property \Illuminate\Support\Carbon|null $created_at
 * @property \Illuminate\Support\Carbon|null $updated_at
 * @method static \Illuminate\Database\Eloquent\Builder|ShareConfig newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|ShareConfig newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|ShareConfig query()
 * @method static \Illuminate\Database\Eloquent\Builder|ShareConfig whereBecomeGlod($value)
 * @method static \Illuminate\Database\Eloquent\Builder|ShareConfig whereBecomeType($value)
 * @method static \Illuminate\Database\Eloquent\Builder|ShareConfig whereBecomeVipId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|ShareConfig whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|ShareConfig whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|ShareConfig whereIsOpen($value)
 * @method static \Illuminate\Database\Eloquent\Builder|ShareConfig whereShareNumber($value)
 * @method static \Illuminate\Database\Eloquent\Builder|ShareConfig whereShareType($value)
 * @method static \Illuminate\Database\Eloquent\Builder|ShareConfig whereType($value)
 * @method static \Illuminate\Database\Eloquent\Builder|ShareConfig whereUpdatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|ShareConfig whereWithdrawDesc($value)
 * @method static \Illuminate\Database\Eloquent\Builder|ShareConfig whereWithdrawDiscount($value)
 * @method static \Illuminate\Database\Eloquent\Builder|ShareConfig whereWithdrawMax($value)
 * @method static \Illuminate\Database\Eloquent\Builder|ShareConfig whereWithdrawMin($value)
 * @mixin \Eloquent
 */
class ShareConfig extends Model
{
	use HasDateTimeFormatter;
    protected $table = 'share_config';

}
